Name:          mtdev
Version:       1.1.7
Release:       1mamba
Summary:       Multitouch Protocol Translation Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://bitmath.org/code/mtdev/
Source:        http://bitmath.org/code/mtdev/mtdev-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
The mtdev library transforms all variants of kernel MT events to the slotted type B protocol. The events put into mtdev may be from any MT device, specifically type A without contact tracking, type A with contact tracking, or type B with contact tracking. See the kernel documentation for further details.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Multitouch Protocol Translation Library

%description -n lib%{name}
The mtdev library transforms all variants of kernel MT events to the slotted type B protocol. The events put into mtdev may be from any MT device, specifically type A without contact tracking, type A with contact tracking, or type B with contact tracking. See the kernel documentation for further details.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libmtdev.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/mtdev-test
%{_includedir}/mtdev*.h
%{_libdir}/libmtdev.a
%{_libdir}/libmtdev.so
%{_libdir}/pkgconfig/mtdev.pc
%doc ChangeLog README

%changelog
* Tue Apr 09 2024 Automatic Build System <autodist@openmamba.org> 1.1.7-1mamba
- automatic version update by autodist

* Fri Jan 31 2020 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Wed Apr 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.5-1mamba
- package created using the webbuild interface
